% SCHEMATIC-WIKI(1) Schematic User Manuals | Version 0.1.3
% Evan Hanson <evhan@foldling.org>
% October 2014

# NAME

**schematic-wiki** - svnwiki generator for Scheme source

# SYNOPSIS

**schematic-wiki** \[*option* ...]

# DESCRIPTION

**schematic-wiki** generates svnwiki documentation fragments suitable
for use on the CHICKEN wiki from commented Scheme source.

Code is read from standard input and scanned for commented definition
forms. For each of these, svnwiki documentation tags and comment
contents are written to standard output.

# OPTIONS

-c, --comment-prefix
:   Specify an alternative line comment prefix string. By default, lines
    beginning with ";;" and ";;;" are considered comments.

-h, --help
:   Display a usage summary and exit.

-v, --version
:   Print version information to standard output and exit.

# CAVEATS

Only reasonably simple definition styles are recognized, and it's easy
to confuse **schematic-wiki** such that valid, commented definitions are
skipped. For example, the common "let over lambda" idiom is
unrecognized, and will be silently ignored.

Any definitions not at the toplevel will be ignored, unless they occur
within a supported library definition form. Currently, the R7RS's
`define-library`, CHICKEN's `module`, and Gauche's `define-module` are
recognized.

# SEE ALSO

`schematic-markdown`(1)

The CHICKEN wiki's svnwiki syntax is documented at
<http://wiki.call-cc.org/edit-help>.
