(define-library (schematic process)
  (import (scheme base)
          (scheme write)
          (scheme process-context))
  (export error-exit)
  (begin
    ;; Prints an error message for `e` to standard error, then exits
    ;; with an error status.
    (define (error-exit e)
      (let ((message   (error-object-message e))
            (arguments (error-object-irritants e)))
        (when (string? message)
          (parameterize ((current-output-port (current-error-port)))
            (display "Error: ")
            (display message)
            (when (pair? arguments)
              (display ": ")
              (display (car arguments)))
            (newline))
          (exit 1))))))
